package net.knarcraft.ffmpegconverter.streams;

import java.util.Set;

/**
 * A specifier for a type of stream
 */
public enum StreamType {

    /**
     * A video stream
     */
    VIDEO,

    /**
     * An audio stream
     */
    AUDIO,

    /**
     * A subtitle stream
     */
    SUBTITLE,
    ;

    /**
     * A set of all stream types
     */
    public static final Set<StreamType> ALL = Set.of(VIDEO, AUDIO, SUBTITLE);

    /**
     * A set of the video and subtitle stream types
     */
    public static final Set<StreamType> VIDEO_SUBTITLE = Set.of(VIDEO, SUBTITLE);

}
